Texa DeskDevelopers

Texa Desk Application API · Help center

Add a new portal

POST/api/v1/accounts/{account_id}/portals

Add a new portal to account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

colorstring

Header color for help-center in hex format

custom_domainstring

Custom domain to display help center.

header_textstring

Help center header

homepage_linkstring

link to main dashboard

namestring

Name for the portal

page_titlestring

Page title for the portal

slugstring

Slug for the portal to display in link

archivedboolean

Status to check if portal is live

configobject

Configuration about supporting locales

Responses

200

Success

payloadarray of object
payload[].idinteger

The ID of the portal

payload[].archivedboolean

Whether the portal is archived

payload[].colorstring

The color code for the portal

payload[].configobject

Configuration settings for the portal

payload[].config.allowed_localesarray of object

List of allowed locales for the portal

payload[].custom_domainstring

Custom domain for the portal

payload[].header_textstring

The header text for the portal

payload[].homepage_linkstring

Homepage link for the portal

payload[].namestring

Name of the portal

payload[].slugstring

URL slug for the portal

payload[].page_titlestring

Page title for the portal

payload[].account_idinteger

ID of the account the portal belongs to

payload[].inboxobject
payload[].inbox.idnumber

ID of the inbox

payload[].inbox.namestring

The name of the inbox

payload[].inbox.website_urlstring

Website URL

payload[].inbox.page_idstring

Facebook Page ID associated with the inbox

payload[].inbox.instagram_idstring

Instagram account ID associated with the inbox

payload[].inbox.business_idstring

TikTok business ID associated with the inbox

payload[].inbox.provider_namestring

Provider username or page name associated with the social inbox

payload[].inbox.profile_idstring

X profile ID associated with the inbox

payload[].inbox.line_channel_idstring

LINE channel ID associated with the inbox

payload[].inbox.emailstring

Email address associated with the inbox

payload[].inbox.bot_namestring

Telegram bot name associated with the inbox

payload[].inbox.inbox_identifierstring

Public identifier associated with an API inbox

payload[].inbox.channel_typestring

The type of the inbox

payload[].inbox.avatar_urlstring

The avatar image of the inbox

payload[].inbox.widget_colorstring

Widget Color used for customization of the widget

payload[].inbox.website_tokenstring

Website Token

payload[].inbox.enable_auto_assignmentboolean

The flag which shows whether Auto Assignment is enabled or not

payload[].inbox.web_widget_scriptstring

Script used to load the website widget

payload[].inbox.welcome_titlestring

Welcome title to be displayed on the widget

payload[].inbox.welcome_taglinestring

Welcome tagline to be displayed on the widget

payload[].inbox.greeting_enabledboolean

The flag which shows whether greeting is enabled

payload[].inbox.greeting_messagestring

A greeting message when the user starts the conversation

payload[].inbox.channel_idnumber

ID of the channel this inbox belongs to

payload[].inbox.working_hours_enabledboolean

The flag which shows whether working hours feature is enabled

payload[].inbox.enable_email_collectboolean

The flag to enable collecting email from contacts

payload[].inbox.csat_survey_enabledboolean

The flag to enable CSAT survey

payload[].inbox.auto_assignment_configobject

Configuration settings for auto assignment

payload[].inbox.out_of_office_messagestring

Message to show when agents are out of office

payload[].inbox.working_hoursarray of object

Configuration for working hours of the inbox

payload[].inbox.timezonestring

Timezone configuration for the inbox

payload[].inbox.callback_webhook_urlstring

Webhook URL for callbacks

payload[].inbox.allow_messages_after_resolvedboolean

Whether to allow messages after a conversation is resolved

payload[].inbox.lock_to_single_conversationboolean

Whether to lock a contact to a single conversation

payload[].inbox.sender_name_typestring

Type of sender name to display (e.g., friendly)

payload[].inbox.business_namestring

Business name associated with the inbox

payload[].inbox.branded_email_layoutstring

Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.

payload[].inbox.hmac_mandatoryboolean

Whether HMAC verification is mandatory

payload[].inbox.selected_feature_flagsarray of string

Selected feature flags for the inbox

payload[].inbox.reply_timestring

Expected reply time

payload[].inbox.messaging_service_sidstring

Messaging service SID for SMS providers

payload[].inbox.phone_numberstring

Phone number associated with the inbox

payload[].inbox.mediumstring

Medium of communication (e.g., sms, email)

payload[].inbox.providerstring

Provider of the channel

payload[].logoobject
payload[].logo.idinteger

ID of the logo file

payload[].logo.portal_idinteger

ID of the portal this logo belongs to

payload[].logo.file_typestring

MIME type of the file

payload[].logo.account_idinteger

ID of the account

payload[].logo.file_urlstring

URL to access the logo file

payload[].logo.blob_idinteger

ID of the blob

payload[].logo.filenamestring

Name of the file

payload[].metaobject
payload[].meta.all_articles_countinteger

Total number of articles

payload[].meta.archived_articles_countinteger

Number of archived articles

payload[].meta.published_countinteger

Number of published articles

payload[].meta.draft_articles_countinteger

Number of draft articles

payload[].meta.categories_countinteger

Number of categories

payload[].meta.default_localestring

Default locale for the portal

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring